Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
SecondaryCursor..::.MoveFirst Method
SecondaryCursor Class See Also Send Feedback

Set the cursor to refer to the first key/data pair of the database, and store the secondary key along with the corresponding primary key/data pair in Current. If the first key has duplicate values, the first data item in the set of duplicates is stored in Current.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public bool MoveFirst()

Visual Basic (Declaration)
    Public Function MoveFirst As Boolean

Visual C++
    public:
    bool MoveFirst()

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current will contain an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

SecondaryCursor Class
MoveFirst Overload
BerkeleyDB Namespace